This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 151151 - Radeon gives on screen artifacts when scrolling quickly
Radeon gives on screen artifacts when scrolling quickly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2005-03-15 09:08 EST by Tethys
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 07:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (9.62 KB, application/x-gzip)
2005-03-15 09:09 EST, Tethys
no flags Details
xorg.conf (2.83 KB, application/octet-stream)
2005-03-15 09:12 EST, Tethys
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 2990 None None None Never

  None (edit)
Description Tethys 2005-03-15 09:08:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
I upgraded my machine to FC3 (from FC2) yesterday, and brought it up
to date with a "yum update".

When I scroll a window quickly (for example, in Mozilla or Abiword),
there are white artifacts that appear to the right of the window (i.e.,
*outside* the application window). These are transitory, disappearing
when I stop scrolling, so I can't capture a screenshot of them.

Note that scrolling quickyl is the only way I can reproduce it. OpenGL
based applications (e.g., glforestfire, unreal tournament, etc) run fine
without the artifacts.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.FC3.21

How reproducible:
Always

Steps to Reproduce:
1. Start firefox
2. Go to a long web page
3. Scroll up and down rapidly
  

Actual Results:  Broken white horizontal lines appear largely to the right of the
application window (although sometimes above and below it, too --
never to the left that I've seen).

Additional info:

Radeon 9200 card:

01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01) (prog-if 00 [VGA])
        Subsystem: PC Partner Limited Sapphire Radeon 9200
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min), Cache Line Size 10
        Interrupt: pin A routed to IRQ 169
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 3000 [size=256]
        Region 2: Memory at f0800000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: <available only to root>

01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200] (Secondary) (rev 01)
        Subsystem: PC Partner Limited Sapphire Radeon 9200
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min), Cache Line Size 10
        Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at f0810000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: <available only to root>

This same hardware worked perfectly under FC2 without the flickering
artifacts.
Comment 1 Tethys 2005-03-15 09:09:47 EST
Created attachment 112015 [details]
Xorg log file
Comment 2 Tethys 2005-03-15 09:12:55 EST
Created attachment 112016 [details]
xorg.conf
Comment 3 Mike A. Harris 2005-04-11 05:58:29 EDT
Please upgrade to the latest FC3 update of xorg-x11-6.8.2 and if the
problem persists, file a bug report in the X.Org bugzilla located at:

    http://bugs.freedesktop.org in the "xorg" component

Once you have filed your bug report at X.org, please paste the URL here,
and Red Hat will track the issue in the upstream bug tracker and review
any fixes that become available for consideration in future Fedora Core
updates.
Comment 4 Mike A. Harris 2005-04-11 05:58:58 EDT
Setting status to "NEEDINFO", awaiting upstream bug URL for tracking.
Comment 6 Mike A. Harris 2005-04-15 07:31:23 EDT
Thanks.  Setting status to "UPSTREAM" for tracking in X.Org bugzilla.
Comment 7 Tethys 2005-04-15 09:11:08 EDT
Hmmm. I agree with the principle of tracking this upstream, but I'm not sure
I'd classify the issue as "closed". Surely "upstream" should be a separate
status, rather than a resolution reason for closing the bug...
Comment 8 Mike A. Harris 2005-04-16 02:23:59 EDT
The "UPSTREAM" bug state is used to track issues that have been reported
to an upstream bug tracker by someone, who has also provided a URL.  Once
a bug has been put into this state, periodically during our development
cycles, we scan the upstream bug reports for fixes to consider for
inclusion, as well as participating in fixing some of the upstream filed
issues ourselves.  This is the important part of the process.

The particular labels bugzilla gives to things is more psychological
and semantical than anything.  It does not really change the underlying
process and procedure in any way.

Bugzilla provides things the way you see them right now, which is what
engineering has to work with, however if you would like to see bugzilla
enhanced in any particular way, even just cosmetic enhancements to
improve readability, or psychological/semantical improvements, please
file a bug against the "bugzilla" component itself, and our bugzilla
maintainer can review your feature request for consideration in a future
update of Red Hat bugzilla.

Personally, I would agree that bugzilla's current semantics could be improved
in many ways, and that it could be made to be more, positive and friendly,
and that people could be using it in a more proactive and less reactive
manner.  I too hope to see bugzilla evolve over time into a system that
provides a better experience for the developer, customer, and end user.

If you file a bug against bugzilla to track your request, please CC
me on it also.  Thanks for pointing this out.

Note You need to log in before you can comment on or make changes to this bug.